Subject: [manet] Re: manet Digest, Vol 16, Issue 10

From: Marc Mosko <[email-masked]>
Date: Thu, 11 Aug 2005 11:26:56 -0700

NS2 implementation will use "link layer detection".  In the function 
AODV::rt_ll_failed, when AODV gets an indication that the MAC failed *a 
specific packet*, it will de-queue the LL queue for that next hop, 
including the failed packet, then re-route them.  This can lead to 
duplicate packets and packet loops (if used with local repair).

You get duplicate packets when a packet failure is caused by ACK loss. 
The next hop received the data just fine and will forward it, but the 
sender does not get the ACK and eventually spits the packet up to AODV.

You can disable this by turing off AODV_LINK_LAYER_DETECTION and using 
Hello packets, or you can change the function AODV::rt_ll_failed to 
*not* re-queue the lost packet.

Marc Mosko
Palo Alto Research Center

[email-masked] wrote:

> Message: 2
> Date: Wed, 10 Aug 2005 21:20:16 +0100
> From: Yau P <[email-masked]>
> Subject: [manet] AODV int node forwarding duplicate tcp packet
> To: "[email-masked] '" <[email-masked]>
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain;	charset="iso-8859-1"
> 
> Hi everyone,
> 
> I hope someone can help me with my query, it might be the NS2 implementation
> of the AODV protocol.
> 
> I've ran a simulation of 100 nodes in an area of 2500m, 10 tcp connections,
> minimum mobility, nothing fancy.  I've discovered an intermediate node
> forwarding the same tcp packet twice, each time to a different next hop, and
> successfully too so the destination node received two copies of the same tcp
> packet.  The second packet travels over one extra hop to reach the
> destination.  
> 
> I wasn't aware that AODV uses multiple routes in this way?  Can anyone shed
> light on this?  It certainly threw my trace file processing scripts into
> confusion.
> 
> Many thanks in advance,
> Po

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet